<section class="bg-white tab-content pt-0 pb-0">
    <div class="tab-pane fade show active" id="general" role="tabpanel" aria-labelledby="general-tab">
        <div class="container container-trayecto">
            <div class="row align-items-start m-0">
                <div data-aos="fade-in" data-aos-delay="200" class="d-md-block d-none col-lg-5 order-lg-2 mb-4 mb-lg-0 sticky-lg-top pl-lg-5 p-0">
                    <div class="divider divider-side d-none d-lg-block transform-flip-y"></div>
                    <div class="d-md-none d-sm-block" id="floating-arrow">
                        <button type="button" title="Volver" (click)="salirMapa()" type="button"
                            style="padding:0px !important;background-color:transparent;border:none;font-size:1.3rem;color: #469c72;outline:none;"><i
                                style="margin:0px !important;" class="fas fa-arrow-left"></i></button>
                    </div>
                    <div #mapContainer id="mapa"></div>
                </div>
                <div class="col-lg-7 pr-lg-5 pt-4 pb-5" id="id_trayecto_section">

                    <div class="row mb-lg-2 mb-4">
                        <div class="col">
                            <h3>Trayecto</h3>
                            <div class="lead">Define en donde subirás y bajarás a los pasajeros</div>
                        </div>
                    </div>
                    <form id="form_trayecto">
                        <div id="container-form">
                            <div class="form-group">
                                <label for="">¿Desde donde sales?</label>
                                <input type="text" id="pac-input" class="form-control"
                                    placeholder="Ejemplo Shopping del Sol, Asunción, Paraguay."
                                    (keyup)="changeMarkerInicio($event)">
                                <p class="mensaje_rutaInvalid" id="ida_invalid" style="display: none;">¡Escribe un lugar
                                    concreto para que podamos recomendar tu viaje a usuarios de la zona!</p>
                            </div>
                            <div class="form-group">
                                <label for="">¿A donde vas?</label>
                                <input type="text" id="pac-input1" class="form-control"
                                    placeholder="Ejemplo Terminal de Omnibus Ciudad del Este, Ciudad del Este, Paraguay"
                                    (keyup)="changeMarkerFin($event)">
                                <p class="mensaje_rutaInvalid" id="vuelta_invalid" style="display: none;">¡Escribe un
                                    lugar concreto para que podamos recomendar tu viaje a usuarios de la zona!</p>
                            </div>
                            <p>Lugares de paso</p>
                            <section class="ciudad-paso" style="padding: 0px !important;" id="section-0">
                                <!-- input fields inside the *ngFor -->
                                <input type="text" class="form-control lugar-paso"
                                    placeholder="Ejemplo Terminal de Omnibus Ciudad del Este, Ciudad del Este, Paraguay"
                                    name="address_0" id="id_address_0" (keyup)="changeMarkerDePaso($event)" />
                                <p class="mensaje_rutaInvalid" id="lugar_invalid_0" style="display: none;">¡Escribe un
                                    lugar concreto para que podamos recomendar tu viaje a usuarios de la zona!</p>
                            </section>
                        </div>
                    </form>
                    <br>
                    <div class="row mb-lg-5 mb-4">
                        <div class="col">
                            <h3>Día y Hora</h3>
                            <div class="">
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-1"
                                        (change)="changeDiaHora()" checked>
                                    <label class="custom-control-label" for="check-1">Ida y vuelta</label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="container-form">
                        <div class="fecha_ida">
                            <div class="form-group fecha_width">
                                <label for="">Fecha de Ida</label>
                                <input [placeholder]="placeholder" value="{{viaje_obj.fechaIda}}" class="form-control"
                                    [name]="name" id="id_fechaIda" [owlDateTimeTrigger]="dt1" [owlDateTime]="dt1">
                                <owl-date-time [pickerType]="type" #dt1></owl-date-time>
                            </div>
                            <div class="form-group hora_width">
                                <label for="" class="label_hour"></label>
                                <input [placeholder]="placeholderHora" value="{{viaje_obj.horaIda}}"
                                    class="form-control" [name]="name" id="id_horaIda" [owlDateTimeTrigger]="dt3"
                                    [owlDateTime]="dt3">
                                <owl-date-time [pickerType]="type2" #dt3></owl-date-time>
                            </div>
                        </div>
                        <div class="fecha_vuelta" id="fechaFin">
                            <div class="form-group fecha_width">
                                <label for="">Fecha de vuelta</label>
                                <input [placeholder]="placeholder" value="{{viaje_obj.fechaVuelta}}"
                                    class="form-control" [name]="name" id="id_fechaVuelta" [owlDateTimeTrigger]="dt2"
                                    [owlDateTime]="dt2">
                                <owl-date-time [pickerType]="type" #dt2></owl-date-time>
                            </div>
                            <div class="form-group hora_width">
                                <label for="" class="label_hour"></label>
                                <input [placeholder]="placeholderHora" value="{{viaje_obj.horaVuelta}}"
                                    class="form-control" [name]="name" id="id_horaVuelta" [owlDateTimeTrigger]="dt4"
                                    [owlDateTime]="dt4">
                                <owl-date-time [pickerType]="type2" #dt4></owl-date-time>
                            </div>
                        </div>


                    </div>
                    <button class="mt-3 btn btn-primary" style="float:right" type="button" (click)="getAllData()">
                        <div class="d-flex align-items-center">
                            <span>Siguiente</span>
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                fill="none" class="injected-svg icon bg-white"
                                data-src="assets/img/icons/interface/icon-arrow-right.svg"
                                xmlns:xlink="http://www.w3.org/1999/xlink">
                                <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2"
                                    stroke-linecap="round" stroke-linejoin="round"></path>
                            </svg>
                        </div>
                    </button>

                </div>

                <div class="col-lg-7 pr-lg-5 pt-4 pb-5" id="id_reserva_section" style="display: none;">

                    <h3 class="display-7" style="margin-bottom:50px !important;">¿Permites que los usuarios puedan
                        confirmar automaticamente sus reservas?</h3>
                    <div class="lead card-selection">
                        <div class="card mb-2 mb-md-3">
                            <a role="button" aria-expanded="false" class="p-3 p-md-4 enlace-style"
                                (click)="confirmarReserva(true)" id="confirmacion_positiva">
                                <div class="d-flex justify-content-between align-items-center">
                                    <h6 class="mb-0 mr-2">
                                        &nbsp;&nbsp;&nbsp;
                                        Sí
                                        <p class="letras-pequeñas">Los usuarios prefieren la confirmación automática.
                                        </p>
                                    </h6>
                                    <svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"
                                        class="kirk-icon sc-htpNat dDtpEV" width="24" height="24" aria-hidden="true"
                                        fill="#708C91">
                                        <polyline fill="none" stroke="#708C91" stroke-width="2" stroke-linecap="round"
                                            stroke-linejoin="round" stroke-miterlimit="10" points="9 18 15 12 9 6">
                                        </polyline>
                                    </svg>
                                </div>
                            </a>
                        </div>
                    </div>
                    <div class="lead card-selection">
                        <div class="card mb-2 mb-md-3">
                            <a role="button" aria-expanded="false" class="p-3 p-md-4 enlace-style"
                                (click)="confirmarReserva(false)" id="confirmacion_negativa">
                                <div class="d-flex justify-content-between align-items-center">
                                    <h6 class="mb-0 mr-2">
                                        &nbsp;&nbsp;&nbsp;No
                                        <p class="letras-pequeñas">Tendrás que aceptar cada reserva entrante.</p>
                                    </h6>

                                    <svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"
                                        class="kirk-icon sc-htpNat dDtpEV" width="24" height="24" aria-hidden="true"
                                        fill="#708C91">
                                        <polyline fill="none" stroke="#708C91" stroke-width="2" stroke-linecap="round"
                                            stroke-linejoin="round" stroke-miterlimit="10" points="9 18 15 12 9 6">
                                        </polyline>
                                    </svg>
                                </div>
                            </a>
                        </div>
                    </div>
                    <div style="    display: flex;
                    justify-content: flex-end;">
                        <a (click)="redirectForm()" style="padding: 12px 30px;" class="enlace-later"> <i
                                class="fas fa-arrow-left"></i> Volver</a>
                    </div>
                </div>
                <div class="col-lg-7 pr-lg-5 pt-4 pb-5" id="id_resumen_section" style="display: none;">

                    <h3 class="display-7" style="margin-bottom:50px !important;">Resumen del viaje</h3>


                    <div class="row resumenViaje" style="margin-bottom: 18px;">
                        <div class="col-md-1 container-icon-resumen ">

                            <i class="fas fa-car-side icon-resumen"></i>
                        </div>
                        <div class="col-md-11">
                            <label for="" style="font-weight: 700;"> Viaje de IDA</label>
                            <div class="row ruta-line">
                                <div class="col-md-5 align-center">
                                    <span class="direccion-decoration" title="{{obj_viaje.lugarOrigen}}">
                                        {{obj_viaje.lugarOrigen}} </span>
                                </div>
                                <div class="col-md-1 align-center">
                                    <i style="float: right;
                                                            margin: 0.29rem 0px;" class="fas fa-long-arrow-alt-right"></i>
                                </div>
                                <div class="col-md-5 align-center">
                                    <span class="direccion-decoration" title="{{obj_viaje.lugarDestino}}">
                                        {{obj_viaje.lugarDestino}} </span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row resumenViaje" style="margin-bottom: 18px;">
                        <div class="col-md-1 container-icon-resumen ">

                            <i class="fas fa-route icon-resumen"></i>
                        </div>
                        <div class="col-md-11">
                            <div class="form-group ">
                                <label for="" style="font-weight: 700;"> Distancia </label>
                                <p style="padding:0px 15px"> {{obj_viaje.kilmetrosViaje}} km</p>
                            </div>
                        </div>
                    </div>

                    <div class="row resumenViaje" style="margin-bottom: 18px;">
                        <div class="col-md-1 container-icon-resumen ">
                            <i class="far fa-clock icon-resumen"></i>
                        </div>
                        <div class="col-md-11">
                            <div class="form-group ">
                                <label for="" style="font-weight: 700;"> Duración </label>
                                <p style="padding:0px 15px"> {{obj_viaje.duracionViajeFormateado}} </p>
                            </div>
                        </div>
                    </div>
                    <div class="row resumenViaje" style="margin-bottom: 18px;">
                        <div class="col-md-1 container-icon-resumen ">
                            <i class="fas fa-calendar-day icon-resumen"></i>
                        </div>
                        <div class="col-md-11">

                            <div class="form-group ">
                                <label for="" style="font-weight: 700;"> Fecha y Hora</label>
                                <p style="padding:0px 15px"> {{obj_viaje.fechaViajeIda}}</p>
                            </div>
                        </div>
                    </div>
                    <div class="row resumenViaje" style="margin-bottom: 18px;">
                        <div class="col-md-1 container-icon-resumen ">
                            <i class="fas fa-money-bill icon-resumen"></i>
                        </div>
                        <div class="col-md-11">
                            <div class="form-group ">
                                <label for="" style="font-weight: 700;">Costo por persona</label>
                                <p style="padding:0px 15px"> Gs {{obj_viaje.costoTotalViaje | currency: 'Gs.' : ''}}
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="row resumenViaje" style="margin-bottom: 18px;">
                        <div class="col-md-1 container-icon-resumen ">
                            <i class="fab fa-envira icon-resumen"></i>
                        </div>
                        <div class="col-md-11">
                            <div class="form-group ">
                                <label for="" style="font-weight: 700;">Emisión de Co2</label>
                                <p style="padding:0px 15px"> {{emisionCo2}} kg</p>
                            </div>
                        </div>
                    </div>



                    <div style="    display: flex;
                        justify-content: flex-end;">
                        <a (click)="redirectFormFromResumen()" style="padding: 12px 30px;" class="enlace-later"> <i
                                class="fas fa-arrow-left"></i> Volver</a>
                        <button class="btn btn-primary" style="float:right" type="button"
                            (click)="ConfirmarViaje()">Publicar viaje
                        </button>
                    </div>
                </div>

                <div class="col-lg-7 pr-lg-5 pt-4 pb-5" id="id_aportacion_section" style="display: none;">
                    <div class="row mb-4">
                        <div class="col">
                            <h3>Aportación</h3>
                        </div>
                    </div>
                    <form id="form_trayecto">
                        <div id="container-form">
                            <div class="form-group mb-5">
                                <label for="" class="mb-4">Aportación por pasajero</label>
                                <p class="mensaje_rutaInvalid" id="price_invalid" style="display: none;">"¡Trata de
                                    ingresar un monto en color verde para que consigas más reservas!"</p>
                                <div class="row row-direccion" *ngFor="let lugar of ciudadesDePaso; let i = index;">
                                    <div class="col-md-8">
                                        <div class="row ruta-line">
                                            <div class="col col-5 col-sm-5 col-md-5 col-lg-5 align-center">
                                                <span class="direccion-decoration"
                                                    title="{{lugar.origen}}">{{lugar.origen}} </span>

                                            </div>
                                            <div class="col col-2 col-sm-2 col-md-2 col-lg-2 align-center">
                                                <i style="float: right;
                                                        margin: 0.29rem 0px;" class="fas fa-long-arrow-alt-right"></i>
                                            </div>

                                            <div class="col col-5 col-sm-5 col-md-5 col-lg-5 align-center">
                                                <span class="direccion-decoration"
                                                    title="{{lugar.destino}}">{{lugar.destino}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4 align-center d-flex mt-md-0 mt-2" style="justify-content: flex-end;">
                                        <div class="form-group form-spinner" style="margin:0px;width: 100%;">
                                            <div class="spinner-control">
                                                <input type="text" class="form-control price-valid price-paso"
                                                    id="{{i}}_price" (keyup)="changePrice($event)" data-type="number"
                                                    step="1" max="5" min="1" style="text-align: center;"
                                                    value="{{calcularCostoViajePorDistancia(lugar.distancia)}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <hr *ngIf="ciudadesDePaso.length>0">
                                <div class="row ">
                                    <div class="col-md-8">
                                        <div class="row ruta-line">
                                            <div class="col col-5 col-sm-5 col-md-5 col-lg-5 align-center">
                                                <span class="direccion-decoration" title="{{obj_viaje.lugarOrigen}}">
                                                    {{obj_viaje.lugarOrigen}} </span>
                                            </div>
                                            <div class="col col-2 col-sm-2 col-md-2 col-lg-2 align-center">
                                                <i style="float: right;
                                                        margin: 0.29rem 0px;" class="fas fa-long-arrow-alt-right"></i>
                                            </div>
                                            <div class="col col-5 col-sm-5 col-md-5 col-lg-5 align-center">
                                                <span class="direccion-decoration" title="{{obj_viaje.lugarDestino}}">
                                                    {{obj_viaje.lugarDestino}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4 align-center d-flex mt-md-0 mt-2" style="justify-content: flex-end;">
                                        <div class="form-group form-spinner" style="margin:0px;width: 100%;">
                                            <div class="spinner-control">
                                                <input type="text" class="form-control price-valid costo-unitario"
                                                    id="{{ciudadesDePaso.length}}_price" (keyup)="changePrice($event)"
                                                    data-type="number" step="1" max="5" min="1"  style="text-align: center;"
                                                    value="{{obj_viaje.costoTotalViaje}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group  mb-5">
                                <label for="">Plazas disponibles</label>
                                <select class="custom-select custom-select-sm" id="id_plaza_cant">
                                    <option value="{{plaza}}" *ngFor="let plaza of plazas">
                                        {{plaza}}
                                    </option>
                                </select>
                            </div>
                            <div class="form-group mb-5">
                                <label for="">Tamaño de equipajes</label>
                                <div class="row">
                                    <div class="col-md-12 equipajes-sizes">
                                        <i class="fas fa-suitcase-rolling pack-1 selected-size sizes"
                                            (click)="selectSize(1)"></i>
                                        <i class="fas fa-suitcase-rolling pack-2 sizes" (click)="selectSize(2)"></i>
                                        <i class="fas fa-suitcase-rolling pack-3 sizes" (click)="selectSize(3)"></i>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group  mb-5">
                                <label for="" class="mb-4">Recomendaciones</label>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-3" checked>
                                    <label class="custom-control-label" for="check-3">Máx.
                                        dos personas en el asiento trasero
                                        <p style="font-size: 13px;font-weight: 600;">Al seleccionar la casilla, se
                                            habilitarán solo dos
                                            lugares en el asiento trasero de su vehiculo teniendo asi más comodidad para
                                            los pasajeros</p></label>

                                </div>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-2" checked>
                                    <label class="custom-control-label" for="check-2">
                                        Permitir solicitudes de trayectos parciales en cualquier lugar de la ruta
                                        <p style="font-size: 13px;font-weight: 600;">
                                            Además de las ciudades de paso, establecidas por ti, el pasajero podrá
                                            sugerir otros lugares de recogida.</p></label>

                                </div>
                                <div class="custom-control custom-checkbox mr-4" [hidden]="!onlyMujeres">
                                    <input type="checkbox" class="custom-control-input" id="check-7">
                                    <label class="custom-control-label" for="check-7">
                                        Solo mujeres
                                        <p style="font-size: 13px;font-weight: 600;margin:0px">
                                            Al seleccionar la casilla, solo mujeres podrán reservar tu viaje. </p>
                                        </label>

                                </div>

                            </div>
                            <div class="form-group  mb-5">
                                <label>
                                    Desvío</label>
                                <select class="custom-select custom-select-sm" id="id_desvio">
                                    <option value="1">
                                        Sin desvío
                                    </option>
                                    <option value="2" selected>
                                        Máx. 5 minutos de mi ruta
                                    </option>
                                    <option value="3">
                                        Máx. 15 minutos de mi ruta
                                    </option>
                                    <option value="4">
                                        Soy flexible
                                    </option>
                                </select>
                                <p style="font-size: 13px;font-weight: 600;margin-top: 10px;">
                                    Permite a los pasajeros que sepan cúanto estarías dispuesto a desviarte del lugar de
                                    salida para recogerlos o del de llegada para dejarlos.</p>

                            </div>
                            <div class="form-group">
                                <label for="">Datos adicionales</label>
                                <textarea id="bio" rows="6" class="form-control" id="id_datosAdicionales"
                                    placeholder="¿Tienes flexibilidad sobre el lugar y el momento de recogida? ¿No vas a viajar por autopista o autovía? ¿Tu maletero es pequeño? ¡No olvides mantener informados a los pasajeros!"></textarea>
                                <p style="font-size: 13px;font-weight: 600;margin-top:10px"> No escribas tus datos de
                                    contacto. Los pasajeros que reserven recibirán tu móvil.
                                </p>
                            </div>
                        </div>
                    </form>
                    <div style="    display: flex;
                            justify-content: flex-end;">
                        <a (click)="redirectFormConfirmacion()" style="padding: 12px 30px;" class="enlace-later"> <i
                                class="fas fa-arrow-left"></i> Volver</a>
                        <button class="btn btn-primary" style="float:right" type="button"
                            (click)="getAllDataAportacion()">Siguiente
                        </button>
                    </div>

                </div>
            </div>

        </div>
    </div>

</section>